pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
CK_ECDH2_DERIVE_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Data Fields

CK_EC_KDF_TYPE | kdf
CK_ULONG | ulSharedDataLen
CK_BYTE_PTR | pSharedData
CK_ULONG | ulPublicDataLen
CK_BYTE_PTR | pPublicData
CK_ULONG | ulPrivateDataLen
CK_OBJECT_HANDLE | hPrivateData
CK_ULONG | ulPublicDataLen2
CK_BYTE_PTR | pPublicData2

## Detailed Description

Definition at line 1110 of file pkcs11t.h.

## Field Documentation

CK_OBJECT_HANDLE hPrivateData

Definition at line 1117 of file pkcs11t.h.

CK_EC_KDF_TYPE kdf

Definition at line 1111 of file pkcs11t.h.

CK_BYTE_PTR pPublicData

Definition at line 1115 of file pkcs11t.h.

CK_BYTE_PTR pPublicData2

Definition at line 1119 of file pkcs11t.h.

CK_BYTE_PTR pSharedData

Definition at line 1113 of file pkcs11t.h.

CK_ULONG ulPrivateDataLen

Definition at line 1116 of file pkcs11t.h.

CK_ULONG ulPublicDataLen

Definition at line 1114 of file pkcs11t.h.

CK_ULONG ulPublicDataLen2

Definition at line 1118 of file pkcs11t.h.

CK_ULONG ulSharedDataLen

Definition at line 1112 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- pkcs11t.h